package com.chaozhanggui.dao.system.entity;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class TbPlussCash implements Serializable {
    private Integer id;

    @TableField(exist = false)
    private String loginName;

    private Integer userid;

    private String username;

    private String merchantcode;

    private String merchantname;

    private String accountno;

    private String accountname;

    private BigDecimal cashamt;

    private Integer status;

    private String reason;

    private Date createdt;

    private Date updatedt;

    private String logo;

    private String cashnumber;

    private String backno;

    private Date backdt;

    private String updator;

    private Integer type;

    private BigDecimal baseservicecharge;

    private BigDecimal ratiocharge;

    private BigDecimal virrealcashamt;

    private BigDecimal virtotalcharge;

    private String cashstatus;

    private String cashstatusnow;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserid() {
        return userid;
    }

    public void setUserid(Integer userid) {
        this.userid = userid;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username == null ? null : username.trim();
    }

    public String getMerchantcode() {
        return merchantcode;
    }

    public void setMerchantcode(String merchantcode) {
        this.merchantcode = merchantcode == null ? null : merchantcode.trim();
    }

    public String getMerchantname() {
        return merchantname;
    }

    public void setMerchantname(String merchantname) {
        this.merchantname = merchantname == null ? null : merchantname.trim();
    }

    public String getAccountno() {
        return accountno;
    }

    public void setAccountno(String accountno) {
        this.accountno = accountno == null ? null : accountno.trim();
    }

    public String getAccountname() {
        return accountname;
    }

    public void setAccountname(String accountname) {
        this.accountname = accountname == null ? null : accountname.trim();
    }

    public BigDecimal getCashamt() {
        return cashamt;
    }

    public void setCashamt(BigDecimal cashamt) {
        this.cashamt = cashamt;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason == null ? null : reason.trim();
    }

    public Date getCreatedt() {
        return createdt;
    }

    public void setCreatedt(Date createdt) {
        this.createdt = createdt;
    }

    public Date getUpdatedt() {
        return updatedt;
    }

    public void setUpdatedt(Date updatedt) {
        this.updatedt = updatedt;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo == null ? null : logo.trim();
    }

    public String getCashnumber() {
        return cashnumber;
    }

    public void setCashnumber(String cashnumber) {
        this.cashnumber = cashnumber == null ? null : cashnumber.trim();
    }

    public String getBackno() {
        return backno;
    }

    public void setBackno(String backno) {
        this.backno = backno == null ? null : backno.trim();
    }

    public Date getBackdt() {
        return backdt;
    }

    public void setBackdt(Date backdt) {
        this.backdt = backdt;
    }

    public String getUpdator() {
        return updator;
    }

    public void setUpdator(String updator) {
        this.updator = updator == null ? null : updator.trim();
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public BigDecimal getBaseservicecharge() {
        return baseservicecharge;
    }

    public void setBaseservicecharge(BigDecimal baseservicecharge) {
        this.baseservicecharge = baseservicecharge;
    }

    public BigDecimal getRatiocharge() {
        return ratiocharge;
    }

    public void setRatiocharge(BigDecimal ratiocharge) {
        this.ratiocharge = ratiocharge;
    }

    public BigDecimal getVirrealcashamt() {
        return virrealcashamt;
    }

    public void setVirrealcashamt(BigDecimal virrealcashamt) {
        this.virrealcashamt = virrealcashamt;
    }

    public BigDecimal getVirtotalcharge() {
        return virtotalcharge;
    }

    public void setVirtotalcharge(BigDecimal virtotalcharge) {
        this.virtotalcharge = virtotalcharge;
    }

    public String getCashstatus() {
        return cashstatus;
    }

    public void setCashstatus(String cashstatus) {
        this.cashstatus = cashstatus == null ? null : cashstatus.trim();
    }

    public String getCashstatusnow() {
        return cashstatusnow;
    }

    public void setCashstatusnow(String cashstatusnow) {
        this.cashstatusnow = cashstatusnow == null ? null : cashstatusnow.trim();
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }
}